Package org.optaplanner.core.config.heuristic.selector.move.generic

## Class PillarSwapMoveSelectorConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<C>
    - - org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig<C>
      - - org.optaplanner.core.config.heuristic.selector.move.generic.AbstractPillarMoveSelectorConfig<PillarSwapMoveSelectorConfig>
        - - org.optaplanner.core.config.heuristic.selector.move.generic.PillarSwapMoveSelectorConfig

-     public class PillarSwapMoveSelectorConfig
      extends AbstractPillarMoveSelectorConfig<PillarSwapMoveSelectorConfig>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.generic.AbstractPillarMoveSelectorConfig

      `pillarSelectorConfig, subPillarSequenceComparatorClass, subPillarType`

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PillarSwapMoveSelectorConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MoveSelector` | `buildBaseMoveSelector​(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)` |
    `PillarSwapMoveSelectorConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `PillarSelectorConfig` | `getSecondaryPillarSelectorConfig()` |
    `List<String>` | `getVariableNameIncludeList()` |
    `PillarSwapMoveSelectorConfig` | `inherit​(PillarSwapMoveSelectorConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setSecondaryPillarSelectorConfig​(PillarSelectorConfig secondaryPillarSelectorConfig)` |
    `void` | `setVariableNameIncludeList​(List<String> variableNameIncludeList)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.generic.AbstractPillarMoveSelectorConfig

      `getPillarSelectorConfig, getSubPillarSequenceComparatorClass, getSubPillarType, setPillarSelectorConfig, setSubPillarSequenceComparatorClass, setSubPillarType`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `buildMoveSelector, buildUnfoldedMoveSelectorConfig, determineBaseRandomSelection, extractLeafMoveSelectorConfigsIntoList, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inheritFolded, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass, withCacheType, withFilterClassList, withFixedProbabilityWeight, withProbabilityWeightFactoryClass, withSelectedCountLimit, withSelectionOrder, withSorterClass, withSorterComparatorClass, withSorterOrder, withSorterWeightFactoryClass`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig

      `validateCacheTypeVersusSelectionOrder`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PillarSwapMoveSelectorConfig

          public PillarSwapMoveSelectorConfig()

  - ### Method Detail

    - #### getSecondaryPillarSelectorConfig

          public PillarSelectorConfig getSecondaryPillarSelectorConfig()

    - #### setSecondaryPillarSelectorConfig

          public void setSecondaryPillarSelectorConfig​(PillarSelectorConfig secondaryPillarSelectorConfig)

    - #### getVariableNameIncludeList

          public List<String> getVariableNameIncludeList()

    - #### setVariableNameIncludeList

          public void setVariableNameIncludeList​(List<String> variableNameIncludeList)

    - #### buildBaseMoveSelector

          public MoveSelector buildBaseMoveSelector​(HeuristicConfigPolicy configPolicy,
                                                    SelectionCacheType minimumCacheType,
                                                    boolean randomSelection)

      Specified by:
        `buildBaseMoveSelector` in class `MoveSelectorConfig<PillarSwapMoveSelectorConfig>`
      Parameters:
        `configPolicy` - never null
        `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
        `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
      Returns:
        never null

    - #### inherit

          public PillarSwapMoveSelectorConfig inherit​(PillarSwapMoveSelectorConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `AbstractPillarMoveSelectorConfig<PillarSwapMoveSelectorConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public PillarSwapMoveSelectorConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<PillarSwapMoveSelectorConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<PillarSwapMoveSelectorConfig>`